%define	download_name	stund

Name:		stun
Version:	0.97    
Release:	1
Summary:	Implements a simple Stun Client
Group:		Applications/Communications
License:	Vovida Software License 1.0
URL:		http://sourceforge.net/projects/%{name}
Source0:	http://downloads.sourceforge.net/%{name}/%{download_name}-%{version}.tgz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: openssl-devel >= 0.9.8, make
Requires: openssl >= 0.9.8

%ifos aix5.1
Requires: AIX-rpm < 5.2.0.0, prngd
%else
Requires: AIX-rpm >= 5.2.0.0
%endif

%description
Implements a simple STUN client on Windows, Linux, and Solaris. 
The STUN protocol (Simple Traversal of UDP through NATs) is described in the 
IETF RFC 3489, available at http://www.ietf.org/rfc/rfc3489.txt


%package server
Summary:	Implements the Stun Server
Group:		Applications/Communications

%description server
Implements a simple STUN client on Windows, Linux, and Solaris.           
The STUN protocol (Simple Traversal of UDP through NATs) is described in the
IETF RFC 3489, available at http://www.ietf.org/rfc/rfc3489.txt


%prep
%setup -q  -n %{download_name}
%patch0


%build
gmake %{?_smp_mflags}
/usr/bin/strip client server


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}

cp client ${RPM_BUILD_ROOT}%{_bindir}/%{name}-client
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/%{name}-client

cp server ${RPM_BUILD_ROOT}%{_sbindir}/%{name}-server
chmod 0755 ${RPM_BUILD_ROOT}%{_sbindir}/%{name}-server

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin sbin
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc rfc3489.txt
%{_bindir}/%{name}-client
/usr/bin/%{name}-client


%files server
%{_sbindir}/%{name}-server
/usr/sbin/%{name}-server


%changelog
* Mon Apr 30 2012 Michael Perzl <michael@perzl.org> - 0.97-1
- updated to version 0.97

* Thu May 05 2011 Michael Perzl <michael@perzl.org> - 0.96-1
- first version for AIX V5.1 and higher
